// @ts-check
import { defineConfig, passthroughImageService } from 'astro/config';

import vue from '@astrojs/vue';
import sitemap from "@astrojs/sitemap";
import robotsTxt from "astro-robots-txt";
import aiRobotsTxt from "astro-ai-robots-txt";
import removeComments from "astro-remove-comments";

// https://astro.build/config
export default defineConfig({
  integrations: [vue(), sitemap(), robotsTxt(), removeComments()],
  i18n: {
    locales: ["en", "de"],
    defaultLocale: "en"
  },
  image: {
    service: passthroughImageService(),
  },
  site: 'https://tideshiftdigital.com',
});